<node>
  <interface name='com.canonical.Unity.Webapps.Service'>
    <method name='GetContext'>
      <arg type='s' name="contextname" direction="out" />
      <arg type='s' name ="version" direction="out" />
      <arg type='s' name="name" direction="in" />
      <arg type='s' name="domain" direction="in" />
      <arg type='s' name="iconurl" direction="in" />
      <arg type='s' name="mimetypes" direction="in" />
    </method>
    
    <method name='ActivateApplication'>
      <arg type='s' name="name" direction="in" />
      <arg type='s' name="domain" direction="in"/>
      <arg type='as' name="files" direction="in"/>
    </method>
    
    <method name='OpenHomepage'>
      <arg type='s' name="homepage" direction="in" />
    </method>
    
    <method name='DestroyInterestForContext'>
      <arg type='s' name="name" direction="in" />
      <arg type='s' name="domain" direction="in" />
      <arg type='i' name="interestid" direction="in"/>
      <arg type="b" name='user_abandoned' direction='in' />
    </method>
    
    <method name='ListContexts'>
      <arg type='as' name="contexts" direction="out" />
    </method>
    
    <method name='Shutdown'>
    </method>
    
    
    <signal name="ServiceReady">
    </signal>
    
    <signal name="ContextAppeared">
      <arg type='s' name="context" direction="out"/>
    </signal>
    <signal name="ContextVanished">
      <arg type='s' name='context' direction='out'/>
    </signal>
    
  </interface>
</node>
